Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class FunctionInfo

    java.lang.Object
      ru.biosoft.access.DataElementSupport
          ru.biosoft.plugins.javascript.FunctionInfo

All Implemented Interfaces:
  DataElement

public class FunctionInfo
extends DataElementSupport

Provides JavaScript function description, and description for its arguments, throwable exception and returned value. Generally function info extracts the information from the `ru.biosoft.plugins.javascript.function` extension point.

`FunctionInfo` implements `DataElement` interface, so it can be shown in repository tree.

See Also:
  `JScriptContext.defineFunction(org.eclipse.core.runtime.IConfigurationElement, org.mozilla.javascript.Context, org.mozilla.javascript.ScriptableObject, ru.biosoft.access.DataCollection)`

Nested Class Summary
`static class` | `FunctionInfo.Argument` This class describes the JavaScript function argument.
`static class` | `FunctionInfo.ArgumentBeanInfo`
`static class` | `FunctionInfo.Example` Exampe of function usage.
`static class` | `FunctionInfo.ExampleBeanInfo`
`static class` | `FunctionInfo.Exception` Describes exeptions throwable by function.
`static class` | `FunctionInfo.ExceptionBeanInfo`
`class` | `FunctionInfo.ReturnedValue` Describes the returned value.
`static class` | `FunctionInfo.ReturnedValueBeanInfo`

Field Summary
`protected FunctionInfo.Argument[]` | `arguments` Function arguments description.
`protected java.lang.String` | `description` The function description
`protected FunctionInfo.Example[]` | `examples` Examples of function usage.
`protected FunctionInfo.Exception[]` | `exceptions` Function exception description.
`protected FunctionInfo.ReturnedValue` | `returnedValue` The returned value type and description.

Constructor Summary
`FunctionInfo(java.lang.String name, DataCollection parent)` Creates info for the specified JavaScript function.

Method Summary
`protected void` | `endSection(java.lang.StringBuffer buf, boolean isHtml)`
`java.lang.String` | `generateHtml()`
`FunctionInfo.Argument[]` | `getArguments()`
`java.lang.String` | `getDescription()`
`FunctionInfo.Example[]` | `getExamples()`
`FunctionInfo.Exception[]` | `getExceptions()`
`protected java.lang.String` | `getFunctionDeclaration(boolean isHtml)`
`FunctionInfo.ReturnedValue` | `getReturnedValue()`
`boolean` | `isExamplesHidden()`
`boolean` | `isExceptionsHidden()`
`void` | `setArguments(FunctionInfo.Argument[] arguments)`
`void` | `setDescription(java.lang.String description)`
`void` | `setExamples(FunctionInfo.Example[] examples)`
`void` | `setExceptions(FunctionInfo.Exception[] exceptions)`
`void` | `setReturnedValue(FunctionInfo.ReturnedValue returnedValue)`
`protected void` | `startSection(java.lang.StringBuffer buf, java.lang.String section, boolean isHtml)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(boolean isHtml)`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### description

    protected java.lang.String description

  The function description

### arguments

    protected FunctionInfo.Argument[] arguments

  Function arguments description.

### returnedValue

    protected FunctionInfo.ReturnedValue returnedValue

  The returned value type and description.

### exceptions

    protected FunctionInfo.Exception[] exceptions

  Function exception description.

### examples

    protected FunctionInfo.Example[] examples

  Examples of function usage.

Constructor Detail

### FunctionInfo

    public FunctionInfo(java.lang.String name,
                        DataCollection parent)

  Creates info for the specified JavaScript function.

Parameters:
  `name` - - JavaScript function name
  `parent` - `DataCollection` to which this function belongs. Generally it is `plugins/Javascript/functions`.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `DataElementSupport`

### generateHtml

    public java.lang.String generateHtml()

### toString

    public java.lang.String toString(boolean isHtml)

### startSection

    protected void startSection(java.lang.StringBuffer buf,
                                java.lang.String section,
                                boolean isHtml)

### endSection

    protected void endSection(java.lang.StringBuffer buf,
                              boolean isHtml)

### getFunctionDeclaration

    protected java.lang.String getFunctionDeclaration(boolean isHtml)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getArguments

    public FunctionInfo.Argument[] getArguments()

### setArguments

    public void setArguments(FunctionInfo.Argument[] arguments)

### getReturnedValue

    public FunctionInfo.ReturnedValue getReturnedValue()

### setReturnedValue

    public void setReturnedValue(FunctionInfo.ReturnedValue returnedValue)

### getExceptions

    public FunctionInfo.Exception[] getExceptions()

### setExceptions

    public void setExceptions(FunctionInfo.Exception[] exceptions)

### getExamples

    public FunctionInfo.Example[] getExamples()

### setExamples

    public void setExamples(FunctionInfo.Example[] examples)

### isExceptionsHidden

    public boolean isExceptionsHidden()

### isExamplesHidden

    public boolean isExamplesHidden()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.